<?php
require_once("template.php");

if(isset($_POST['id']) && $_POST['id']!=""){ //si l'id est renseigné il s'agit d'une modification
    if(isset($_POST["aliment"]) && isset($_POST["cat"])){
        $requete= "UPDATE `ALIMENTS` SET `NAME_ALIMENT` = '".$_POST['aliment']."', `TYPE_ALIMENT` = '".$_POST['cat']."' WHERE `ALIMENTS`.`ID_ALIMENT` = ".$_POST['id'];
        $mysqli->query($requete);
        $msg="L'aliment a bien été modifié";
    }
    else{
        $msg="Il manque des informations";
    }
    
}
else{ //sinon il s'agit d'un ajout 
    if(isset($_POST["aliment"]) && isset($_POST["cat"])){ 
        $requete="INSERT INTO `ALIMENTS` (`ID_ALIMENT`,`NAME_ALIMENT`, `TYPE_ALIMENT`) VALUES (NULL, '" .$_POST['aliment'] . "', '" . $_POST['cat'] . "')";
        $mysqli->query($requete);
        $msg="L'aliment a bien été ajouté";
    } else{
        $msg="Il manque des informations";
    }
}

echo $msg; 

